Client Support
cancel

Windows Runtimes needed for Vista no matter what in 6.2.5

Highlighted
samd_1
Senior Member

Windows Runtimes needed for Vista no matter what in 6.2.5

When we installed 6.2.4 build 1240 in Vista it went fine. No errors. The requirement for WindowsRuntimes was only if we didn't have Office 2007 installed as the documentation states. The same thing is stated in the TRIMSPEC.PDF document in 6.2.5. However in the TRIMInstall.PDF document it makes no mention of installing the runtimes only if you don't have Office 2007 installed. I tried to install 6.2.5 on the same Vista machine where previously 6.2.4 installed fine since Office 2007 was installed. I couldn't get 6.2.5 to successfully install as the installer would fail looking for some DLL. Finally I reread the documenation and saw the section read differently than in 6.2.4. This is from TRIMInsatll.PDF page 13. Note there is no mention of Office 2007.

 

Installing under Windows Vista or later


Installing HP TRIM under Windows Vista, Windows 7 or Windows Server 2008


1. From the HP TRIM installation CD-ROM, run WindowsRuntimes.msi.
Ensure it has been installed successfully on all target computers.
To install HP TRIM on a per-user basis, from the HP TRIM installation CDROM,
use TRIMContextNoRuntimes.msi.
2. Continue the installation from Installing HP TRIM for the first time in
Installing HP TRIM

5 REPLIES
Mark de Berg
Collector

Re: Windows Runtimes needed for Vista no matter what in 6.2.5

Hi Sam,

Experienced the same issue with Win 7 and TRIM 6.2.5. Have a look at the post by Brett http://h30501.www3.hp.com/t5/Client-Support/Outlook-Addin-failing-to-meet-installation-criteria-for-6-2-5/td-p/2288.

This ended in the same solution. Just more TRIM fun. :smileysad:

Cheers

Mark

 

 

Grundy
New Member.

Re: Windows Runtimes needed for Vista no matter what in 6.2.5

We've raised this internally, CR: 37908.

 

The requirement for the Windows Runtimes will still remain, but the doco will be changed so that all Vista/Win7 installs need it.

 

(Unless they figure out why having Office 07 no longer works and sort that out instead)

EDIT: Nope, looks like MS no longer provide the correct runtimes that we need anymore.

 

 



::::::::::::::::::::::
NOT A HP EMPLOYEE
::::::::::::::::::::::

INFORMOTION.com.au
samd_1
Senior Member

Re: Windows Runtimes needed for Vista no matter what in 6.2.5

Sorry to reply late on this.

 

My situation was I didn't get the failure of meeting the Outlook Addin requirements as I installed the prerequisites first. However I got tsjdms.com.dll failing to register error. After installing WindowsRuntimes.msi, as an admin no special Run as done, the install worked (I used TrimContext.msi)

 

Now the question I have are the needs for a TRIMContextNoRuntimes.msi and a TrimContext.msi file and which one to use. Before 6.2.5 I had always used TrimContext.msi and built an enterprise install from it. This was for XP and Vista machines. The Vista machines has Office 2007 installed. Now since I will be installing the separate runtimes msi file should I not be using TrimContext.msi anymore? Or should we still be using TrimContext.msi as this forces an install for allusers, which is I believe what we want.  I guess I don't get the need to install WindowsRuntimes.msi file as aren't the same runtimes built into Trimcontext.msi?

Grundy
New Member.

Re: Windows Runtimes needed for Vista no matter what in 6.2.5

I recommend you keep using the normal TRIMContext.msi.

 

 



::::::::::::::::::::::
NOT A HP EMPLOYEE
::::::::::::::::::::::

INFORMOTION.com.au
samd_1
Senior Member

Re: Windows Runtimes needed for Vista no matter what in 6.2.5

Ok thanks.

//Add this to "OnDomLoad" event